Subject: Re: bug#37751: 27.0.50; Vue mode indentation stopped working at 0b3982b1a3

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Oct 2019 20:53:37 +0300

> From: Gary Oberbrunner <[email-masked]>
> Date: Wed, 16 Oct 2019 12:13:15 -0400
> Cc: [email-masked]
> 
> I've reported it to vue-mode, but vue-mode is a thin wrapper around mmm-mode (mode for multiple major
> modes in the same buffer). It may be hard for the mmm-mode maintainer to understand my issue since I'm
> using a derived mode, not mmm-mode directly.
> I was hoping Stefan Monnier might chime in with some ideas -- I think I'll have to dive into it, and I'm OK with
> that, but could use a bit of guidance. I suspect it's related to the fact that mmm-mode is switching major
> modes within the same buffer and trying to adjust everything on the fly, even when the buffer hasn't changed.
> (In mmm-mode it switches modes when you enter a certain region of the file.)

Stefan doesn't regularly read this list, but I've CC'ed him now.

> For instance is there any way to temporarily completely turn off the syntax-ppss caching mechanism, so I can
> really see if that's the root cause?
> 
> I can definitely confirm that holding everything else constant except that single emacs commit of Stefan's,
> 0b3982b1a38, triggers the failure. But I understand it's probably some interaction between that and
> mmm-mode.
> 
> On Tue, Oct 15, 2019 at 2:28 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Gary Oberbrunner <[email-masked]>
>  > Date: Mon, 14 Oct 2019 18:08:32 -0400
>  > 
>  > I'm using vue-mode, based on mmm-mode with Emacs 27 nightly on Windows 10.
>  > As of commit 0b3982b1a38, indentation stopped working in vue-mode buffers.
> 
>  Please report that to the developers of vue-mode first, if you didn't
>  already.  If they conclude this is a core Emacs problem, and provide
>  evidence for that, we will look into this.
> 
>  Thanks.
> 
> -- 
> Gary